Many websites (more than 9 million) use MailChimp to create, send, and track email newsletters. It is particularly good because MailChimp is free for lists of up to 2,000 subscribers.

Due to this popularity many Drupal websites are using the MailChimp API to interface between their website and MailChimp. If your website is one of these you need to login and check which interface your website is using as MailChimp have released a new API and you have until the end of the year to upgrade to it or your interface will cease to work.

If you know about Drupal modules, look for branch 7.x.4.x. If you are running 7.x-2.x and 7.x-3.x branches you will need to upgrade.

If you are unsure how to check or would like help with the upgrade, contact us and we can quickly rectify this before your interface stops working.
 

Share this content